#!/bin/tcsh 
####################################################################################
#Author: Zhang Tao
#Email: zhangtao@cryst.iphy.ac.cn
#Created time: 2008,05,20
#last Edit: 2008,05,20
#Group: SM5,  The Institute of Physics, Chinese Academy of Sciences
#####################################################################################

######parameters##################################################
###################################################################################
echo  -n '<input type="hidden"  name="path" id="path" value="' 
echo  -n $path_c 
echo '">' 
echo "<style>"
echo "a:link { color:#0000FF;text-decoration:underline;}"
echo "</style>"
echo "<table width='93%' border='0' align='center' style='word-break:break-all;word-wrap:break-all' cellpadding='0' cellspacing='0'>"
echo "<tr><td width='80%'>"
#echo "<center>" >> html/main.htm
echo "<font size = '7' color = '#3b365e'><em>OASIS</em> dual-space iteration</font><br>"
#echo "</center>" >> html/main.htm
echo "<font size = '4' > Title: $TIT </font><br>"
set start_file_name = `echo $init_file | awk '{n=split($1,name,"/");print name[n];  }'`
echo "<font size = '4' > Data: $start_file_name </font><br>"
if ( $OASIS_MODE == "DMR" || $OASIS_MODE == "EXT"  ) then
echo "<font size = '4' > Running mode: Partial-model completion without SAD/SIR signals </font><br>"
else
echo "<font size = '4' > Running mode: $OASIS_MODE </font><br>"
endif
@ seq_num_tmp = $seq_num * $ncs_num
echo "<font size = '4' > Number of residues in the AU: $seq_num_tmp &nbsp;&nbsp;&nbsp;</font>"
echo "<font size = '4'> <a href='$seqin'  target = top> Sequence file </a></font><br>"
echo $RESOLUTION_MAX $RESOLUTION_MIN | awk '{if ($1>$2) { max=$1;min=$2; }else{max=$2;min=$1} printf"<font size =\"4\" > Resolution range: %.2f -- %.2f (&Aring) </font>",max,min  }'
echo "</td>"
if ( -e $main_path/build_result.pdb ) then
echo "<td>"
echo "<br>"
echo "<center>"
echo -n '<font size = "4" > <a href="javascript:view_pdb('
set pymol_path = `which phenix.pymol`
echo -n "'../build_result.pdb'"
echo ",'$pymol_path')"'"'"> <img border='0' height=65 width=65  src='./PyMOL.gif' ><br>Best model<font size = '4' ></font> </a> </font>"
echo "</center>"
echo "</td>"
endif
echo "</tr><tr>"
echo "<td colspan='2' >"
echo "<font size = '4' >Space group: $space_name;&nbsp;&nbsp; </font>"
echo $CELL_A  $CELL_B  $CELL_C $CELL_ALPHA $CELL_BETA $CELL_GAMMA | awk ' {printf"<font size = \"4\" > Cell dimensions: <i>a</i>=%.2f, <i>b</i>=%.2f, <i>c</i>=%.2f (&Aring);&nbsp;<i>&alpha</i>=%.2f, <i>&beta</i>=%.2f, <i>&gamma</i>=%.2f (<sup>o</sup>) </font>",$1,$2,$3,$4,$5,$6;}'
echo "</td>"
echo "</tr></table>"

if ( $pic_signal == 1 ) then
  echo "<br>"
  echo "<table border='3'  align='center' style='word-break:break-all;word-wrap:break-all' cellpadding='0' cellspacing='2'><tr><td>"
  echo "<center><img border='0' src='../$pic_file' ></center>"
  echo "</td></tr></table>"
endif


