####################################################################################
#Author: Zhang Tao
#Email: zhangtao@cryst.iphy.ac.cn
#Created time: 2008,05,19
#last Edit: 2008,05,19 
#Group: SM5,  The Institute of Physics, Chinese Academy of Sciences
#####################################################################################

######parameters##################################################
#1: parameters pool
#2: changed parameters pool
#3: states pool
#4: merge file
###################################################################################
source $1
source $2
echo "set merge_status = 0" >> $3
set merge_csh = ${name_c}_merge.csh
rm -fr  $merge_csh
touch  $merge_csh

set mer_file = `awk '{print $1 }' $4`;
set mer_phi = `awk '{print $2 }' $4`;
set mer_fom = `awk '{print $3 }' $4`;
set mer_out = ${path_c}/${name_c}_mer.mtz


echo "${CBIN}/combinereslv HKLIN1 $last_out HKLIN2 $mer_file HKLOUT $mer_out << +" > $merge_csh
echo "LAB1 FOM=$phi   PHIB=$fom" >> $merge_csh
echo "LAB2 FOM=$mer_fom   PHIB=$mer_fom " >> $merge_csh
echo "+" >> $merge_csh


#execute csh
chmod +x $merge_csh
$merge_csh 

if ( $status != 1 ) then
echo "set build_status = 1" >> $3
else
goto exitmerge;
endif

echo "set merge_phi = PHIB  " >> $2
echo "set merge_fom = FOM  " >> $2
echo "set merge_out = $merge_out " >> $2
echo "set phi = PHIE  " >> $2
echo "set fom = FOME  " >> $2
echo "set last_out = $merge_out " >> $2
exit
exitmerge:
exit






