####################################################################################
#Author: Zhang Tao
#Email: zhangtao@cryst.iphy.ac.cn
#Created time: 2008,05,20
#last Edit: 2008,05,20
#Group: SM5,  The Institute of Physics, Chinese Academy of Sciences
#####################################################################################

######parameters##################################################
#1: number of cycles
#2: range of seed
#3: parameter pool
#4: skip num
###################################################################################

source $3

set erorr_signal = 1
@ n = 0
set select_window = $html_name/select_window_$1.htm
echo "<body alink='#ff0000' bgcolor='#c9ddf9' link='#660000' vlink='#660000'  onload='win_onLoad()'>" > $select_window
echo "<style>"  >> $select_window
echo "a:link { color:#0000FF;text-decoration:underline;}" >>$select_window
echo "</style>" >> $select_window
echo "<script Language = 'JavaScript' src='./oasis.js'></script>" >> $select_window
echo "<br>" >> $select_window
echo "<form name='select'>" >>$select_window
echo "<center>">> $select_window
echo "<table id='time' border='0' align='left'  cellpadding='0' style='word-break:break-all;word-wrap:break-all' cellspacing='0'>" >> $select_window
echo "<tr><td><font size='6'>&nbsp;&nbsp;&nbsp;Time:&nbsp;</tr></td></table><br><br>">> $select_window
if ( $1 == 1 ) then
  @ s = 1 + $4
else
  @ s = 1
endif
@ best_seed = 0
while ( $s <= $2 )
  set par_file = .par_tmp/mr_$1_${s}.par
  if ( !( -e $par_file ) ) then
    @ s++
    continue  
  endif
  source $par_file
  source $stat_file
  if ( $mr_states == 1 ) then
    @ n++
    set erorr_signal = 0
  else
    @ s++
    continue
  endif
if ( $best_seed == 0 ) then
  set best_seed = $s
  if ( $build_pro == "resolve" ) then
      @ best_sum = $recommend[1] + $recommend[2]
      set best_scor = $recommend[3]    
      set best_dock_res = $recommend[1]   
      set best_res = $recommend[2]
  else if ( $build_pro == "arp" ) then
      @ best_sum = $resulte[1] + $resulte[2]
      set best_dock_res = $resulte[1]   
      set best_res = $resulte[2]
      set best_r = $resulte[3]
    if ( $select_mode == "rfree"  ) then
      set best_rfree = $resulte[4]
    endif
  else if ( $build_pro == "phenix" ) then
      @ best_sum = $recommend[1] + $recommend[2]
      set best_scor = $recommend[3]    
      set best_dock_res = $recommend[1]   
      set best_res = $recommend[2]
      set best_r = $recommend[4]
      set best_rfree = $recommend[5]
  endif
else
  if ( $build_pro == "resolve" ) then
      set ifsig_sum = `echo $recommend[1]" "$recommend[2]" "$best_sum | awk '{ if ( $1+$2 == $3  ) {print "equal"}else { if ( $1+$2 > $3 ) {print "true";}else{print "false" ;} } }'` 
      set ifsig_dock_res = `echo $recommend[1]" "$best_dock_res | awk '{ if ( $1 == $2  ) {print "equal"}else { if ( $1 > $2) {print "true";}else{print "false" ;} } }'`
      set ifsig_res = `echo $recommend[2]" "$best_res | awk '{ if ( $1 == $2  ) {print "equal"} else {if ( $1 > $2) {print "true";}else{print "false" ;}  }}'`
      set ifsig_score = `echo $recommend[3]" "$best_scor | awk '{ if ( $1 == $2  ) {print "equal"} else { if ( $1 > $2) {print "true";}else{print "false" ;}  }}'`
  else if ( $build_pro == "arp" ) then
      set ifsig_sum = `echo $resulte[1]" "$resulte[2]" "$best_sum | awk '{ if ( $1+$2 == $3  ) {print "equal"}else { if ( $1+$2 > $3 ) {print "true";}else{print "false" ;} } }'` 
      set ifsig_dock_res = `echo $resulte[1]" "$best_dock_res | awk '{ if ( $1 == $2  ) {print "equal"} else { if ( $1 > $2) {print "true";}else{print "false" ;}  }}'`
      set ifsig_res = `echo $resulte[2]" "$best_res | awk '{ if ( $1 == $2  ) {print "equal";} else { if ( $1 > $2) {print "true";}else{print "false" ;} } }'`
      set ifsig_r = `echo $resulte[3]" "$best_r | awk '{ if ( $1 == $2  ) {print "equal"} else { if ( $1 < $2) {print "true";}else{print "false" ;} } }'`
   if ( $select_mode == "rfree"  ) then
      set ifsig_rfree = `echo $resulte[4]" "$best_rfree | awk '{ if ( $1 == $2  ) {print "equal"} else { if ( $1 < $2) {print "true";}else{print "false" ;} } }'`
    endif
  else if ( $build_pro == "phenix" ) then
      set ifsig_sum = `echo $recommend[1]" "$recommend[2]" "$best_sum | awk '{ if ( $1+$2 == $3  ) {print "equal"}else { if ( $1+$2 > $3 ) {print "true";}else{print "false" ;} } }'` 
      set ifsig_dock_res = `echo $recommend[1]" "$best_dock_res | awk '{ if ( $1 == $2  ) {print "equal"} else { if ( $1 > $2) {print "true";}else{print "false" ;} } }'`
      set ifsig_res = `echo $recommend[2]" "$best_res | awk '{ if ( $1 == $2  ) {print "equal"} else { if ( $1 > $2) {print "true";}else{print "false" ;} } }'`
      set ifsig_score = `echo $recommend[3]" "$best_scor | awk '{ if ( $1 == $2  ) {print "equal"} else { if ( $1 > $2) {print "true";}else{print "false" ;} } }'`
      set ifsig_r = `echo $recommend[4]" "$best_r | awk '{ if ( $1 == $2  ) {print "equal"} else { if ( $1 < $2) {print "true";}else{print "false" ;} } }'`
      set ifsig_rfree = `echo $recommend[5]" "$best_rfree | awk '{ if ( $1 == $2  ) {print "equal"} else { if ( $1 < $2) {print "true";}else{print "false" ;} } }'`
  endif
  if ( $build_pro == "resolve" ) then
    if ( $select_mode == "score" ) then 
        set select_order = "$ifsig_score $ifsig_res $ifsig_dock_res $ifsig_sum"
    else if ( $select_mode == "dbest"  ) then
        set select_order = " $ifsig_dock_res $ifsig_res $ifsig_score $ifsig_sum"
    else if ( $select_mode == "cbest"  ) then
        set select_order = "$ifsig_res $ifsig_dock_res $ifsig_score $ifsig_sum"
    else if ( $select_mode == "sum"  ) then
        set select_order = "$ifsig_sum $ifsig_dock_res  $ifsig_res $ifsig_score "
    endif
  else if ( $build_pro == "arp" ) then
    if ( $select_mode == "dbest"  ) then
        set select_order = "$ifsig_dock_res $ifsig_res $ifsig_sum $ifsig_r "
    else if ( $select_mode == "cbest"  ) then
        set select_order = "$ifsig_res $ifsig_dock_res $ifsig_sum $ifsig_r "
    else if ( $select_mode == "rbest"  ) then
        set select_order = "$ifsig_r $ifsig_sum $ifsig_res $ifsig_dock_res "
    else if ( $select_mode == "rfree"  ) then
        set select_order = "$ifsig_rfree $ifsig_r $ifsig_sum $ifsig_res $ifsig_dock_res "
    else if ( $select_mode == "sum"  ) then
        set select_order = "$ifsig_sum $ifsig_res $ifsig_dock_res $ifsig_r  "
    endif
  else if ( $build_pro == "phenix" ) then
    if ( $select_mode == "score"  ) then
         set select_order = "$ifsig_score $ifsig_res $ifsig_dock_res $ifsig_sum $ifsig_rfree $ifsig_r"
    else if ( $select_mode == "dbest"  ) then
         set select_order = "$ifsig_dock_res $ifsig_score $ifsig_res $ifsig_sum $ifsig_rfree $ifsig_r"
    else if ( $select_mode == "cbest"  ) then
         set select_order = "$ifsig_score $ifsig_sum $ifsig_dock_res $ifsig_res $ifsig_rfree $ifsig_r"
    else if ( $select_mode == "rbest"  ) then
         set select_order = "$ifsig_r $ifsig_rfree $ifsig_score $ifsig_sum $ifsig_dock_res $ifsig_res "
    else if ( $select_mode == "sum"  ) then
        set select_order = "$ifsig_sum $ifsig_score $ifsig_res $ifsig_dock_res $ifsig_rfree $ifsig_r  "
    endif
  endif
  set ifsig = `echo $select_order | awk '{for ( i=1;i<=$NF;i++ ) { if ( $i != "equal" ) {print $i ;exit }} print 'true';}'`
  if ( $ifsig == "true" )  then
    set best_seed = $s
    if ( $build_pro == "resolve" ) then
        @ best_sum = $recommend[1] + $recommend[2]
        set best_scor = $recommend[3]    
        set best_dock_res = $recommend[1]   
        set best_res = $recommend[2]
    else if ( $build_pro == "arp" ) then
        @ best_sum = $resulte[1] + $resulte[2]
        set best_dock_res = $resulte[1]   
        set best_res = $resulte[2]
        set best_r = $resulte[3]
      if ( $select_mode == "rfree"  ) then
        set best_rfree = $resulte[4]
      endif
    else if ( $build_pro == "phenix" ) then
        @ best_sum = $recommend[1] + $recommend[2]
        set best_scor = $recommend[3]    
        set best_dock_res = $recommend[1]   
        set best_res = $recommend[2]
        set best_r = $recommend[4]
        set best_rfree = $recommend[5]
    endif
  endif
endif
$oasisbin/html/show.csh $par_file $stat_file $1 select_tmp_$s.htm 1 $s 1
cat $html_name/select_tmp_$s.htm >> $select_window
rm -fr $html_name/select_tmp_$s.htm
@ s++
end
@ all_time=300
echo "<input type='button' name='confirm' value='confirm' onclick='best_seed_confirm($2,$4)' > </center>"  >> $select_window
echo "<input type='hidden' name='path' value='$path_c'>" >> $select_window
echo "<input type='hidden' name='all_time_input' value='$all_time'>" >> $select_window
echo "<script Language = 'JavaScript' >"  >> $select_window
echo "set_best_seed($best_seed,$n)" >> $select_window
echo "var all_time = select.all_time_input.value" >> $select_window
echo "var obj=setInterval('oJump()',1000)" >> $select_window
echo "</script>" >> $select_window
echo "</form>" >> $select_window
echo "</body>" >> $select_window
if ( $2 > 1 && $erorr_signal == 0 ) then
  rm -fr  $path_c/.par_tmp/best_seed.par
  if ( `uname` == 'Linux' ) then
    firefox $select_window 
  else if ( `uname` == 'Darwin' ) then
    open $select_window 
  endif  
  @ i = 0
  @ time_els = $all_time * 2 + 10
  while ( $i <= $time_els )
    sleep 0.5
    if ( -e $path_c/.par_tmp/best_seed.par ) then
      set best_seed = `cat $path_c/.par_tmp/best_seed.par `
      rm -fr $path_c/.par_tmp/best_seed.par
      break
    endif
    @ i++
  end
endif 
if ( $erorr_signal == 0 ) then
  set par_file = .par_tmp/mr_$1_${best_seed}.par 
  source $par_file
  if ( $pic_signal == 1 ) then
    @ seq_num_tmp = $seq_num * $ncs_num
    if ( $build_pro == "resolve" ) then
      set residue_ratio = `echo $recommend[2] $seq_num_tmp | awk '{print $1/$2}'`
      set dock_residue_ratio = `echo $recommend[1] $seq_num_tmp | awk '{print $1/$2}'`
      set score_ratio = `echo $recommend[3] $seq_num_tmp | awk '{print $1/$2}'`
      echo "$1 $residue_ratio $dock_residue_ratio null null $score_ratio null" >> $pic_data_file
    else if ( $build_pro == "arp" ) then
      if ( $rfree_signal == 1 ) then
        set residue_ratio = `echo $resulte[2] $seq_num_tmp | awk '{print $1/$2}'`
        set dock_residue_ratio = `echo $resulte[1] $seq_num_tmp | awk '{print $1/$2}'`
        set r_ratio = `echo $resulte[3] | awk '{print $1/0.7}'`
        set rfree_ratio = `echo $resulte[4] | awk '{print $1/0.7}'`
        echo "$1 $residue_ratio $dock_residue_ratio $r_ratio $rfree_ratio null null" >> $pic_data_file
      else
        set residue_ratio = `echo $resulte[2] $seq_num_tmp | awk '{print $1/$2}'`
        set dock_residue_ratio = `echo $resulte[1] $seq_num_tmp | awk '{print $1/$2}'`
        set r_ratio = `echo $resulte[3] | awk '{print $1/0.7}'`
        echo "$1 $residue_ratio $dock_residue_ratio $r_ratio null null null" >> $pic_data_file
      endif
    else if ( $build_pro == "phenix" ) then
      set residue_ratio = `echo $recommend[2] $seq_num_tmp | awk '{print $1/$2}'`
      set dock_residue_ratio = `echo $recommend[1] $seq_num_tmp | awk '{print $1/$2}'`
      set r_ratio = `echo $recommend[4] | awk '{print $1/0.7}'`
      set rfree_ratio = `echo $recommend[5] | awk '{print $1/0.7}'`
      echo "$1 $residue_ratio $dock_residue_ratio $r_ratio $rfree_ratio null $recommend[3]" >> $pic_data_file
    endif
    $oasisbin/html/show_pic.csh $3 $1
  endif 
endif


if ( $erorr_signal == 1 ) then 
  echo "null"
else
  echo "$best_seed"
endif

