#!/bin/csh -f
####################################################################################
#Author: Zhang Tao
#Email: zhangtao@cryst.iphy.ac.cn
#Created time: 2008,05,19
#last Edit: 2008,05,19 
#Group: SM5,  The Institute of Physics, Chinese Academy of Sciences
#####################################################################################

######parameters##################################################
#1: pdb file
#2: png file name
###################################################################################

rm -f $html_name/.pic.pml
touch $html_name/.pic.pml
echo "load $1" >> $html_name/.pic.pml
echo "hide everything model" >> $html_name/.pic.pml
echo "show cartoon model" >> $html_name/.pic.pml
echo "png $2" >> $html_name/.pic.pml
echo "quit" >> $html_name/.pic.pml

pymol  $html_name/.pic.pml
rm -f $html_name/.pic.pml
