      PROGRAM example_MTZ
c     combine a few phases which from resolve-out into one
      character*40 filein,fileout
      dimension ih(55000),ik(55000),il(55000),fp(3,55000),
     1 sigfp(3,55000),phb(3,55000),fom(3,55000)

      INTEGER HKLIN, HKLOUT, IPRINT, IFAIL, NCOLI, NREFLI,NREF
      CHARACTER*200 AA,BB
      CHARACTER*4 KEY,CCVAL(20)
      INTEGER NTOK, IBEG(20), IEND(20), ITYP(20), IDEC(20)
      CHARACTER LSPRGI(2)*30,CTPRGI(2)*1
      REAL DUM(2, 500),ADATA(500),ADATAI(7),RSOL
      CHARACTER*500 LABIN1,LABIN2
      INTEGER LOOKUP(2)
      CHARACTER DUMMY*10
      CHARACTER*30 LABOUT(7)
      CHARACTER*1 CTYPOUT(7)

      DATA LABOUT/'H','K','L','FP','SIGFP','PHIDM','FOMDM'/
      DATA CTYPOUT/'H','H','H','F','Q','P','W'/

      DATA CTPRGI/'W' ,'P'/

      DATA LSPRGI/'FOM','PHIB'/

      CALL CCPFYP
    1 READ(5,5,END=6) AA
      BB=AA

   5  FORMAT(A200)
      CALL PARSER (KEY, AA, IBEG,IEND,ITYP,FVAL,CCVAL,
     +     IDEC,NTOK,EOF,.FALSE.)

      IF (KEY.EQ.'LAB1') THEN
         LABIN1='LABIN '
         LABIN1(7:100)=AA(IBEG(2):IEND(NTOK))
      END IF
      IF (KEY.EQ.'LAB2') THEN
         LABIN2='LABIN '
         LABIN2(7:100)=AA(IBEG(2):IEND(NTOK))
      END IF
      goto 1
    6 continue

      dtor = atan(1.0) / 45.0
      rtod = 1.0 / dtor
      CALL MTZINI

      IPRINT =0
      IFAIL = 0
      HKLIN = 1
      CALL LROPEN (HKLIN,'HKLIN1', IPRINT, IFAIL)

      IF (IFAIL .NE. 0) THEN
         WRITE(6,*) "no such file"
         CALL CCPERR(1,'---- MTZ FILE ERROR ----')
      ENDIF
       CALL LRINFO(HKLIN,DUMMY,NCOL,NREF,DUM)
            NLPRGI=2
       CALL LKYIN(HKLIN,LSPRGI,NLPRGI,NTOK,LABIN1,IBEG,IEND)
       CALL LRASSN(HKLIN,LSPRGI,NLPRGI,LOOKUP,CTPRGI)
      i=0
       DO 20 i = 1,NREF

      CALL LRREFL(HKLIN,RSOL,ADATA,EOF)
      ih(i)=ADATA(1)
      ik(i)=ADATA(2)
      il(i)=ADATA(3)
      fp(1,i)=ADATA(4)
      sigfp(1,i)=ADATA(5)
      phb0=ADATA(LOOKUP(1))
      fom(1,i)=ADATA(LOOKUP(2))
      PHB(1,I)=AMOD(PHB0+360.0,360.0)

   20 continue
   40 numb=i-1
      write(6,*) 'set No, total = ',k,numb


   50 n=0
      IPRINT = 0
      IFAIL = 0
      MHKLIN = 2
      CALL LROPEN (MHKLIN,'HKLIN2', IPRINT, IFAIL)

      IF (IFAIL .NE. 0) THEN
         WRITE(6,*) "no such file"
         CALL CCPERR(1,'---- MTZ FILE ERROR ----')
      ENDIF
       CALL LRINFO(MHKLIN,DUMMY,NCOL,NREF,DUM)
            NLPRGI=2
       CALL LKYIN(MHKLIN,LSPRGI,NLPRGI,NTOK,LABIN2,IBEG,IEND)

       CALL LRASSN(MHKLIN,LSPRGI,NLPRGI,LOOKUP,CTPRGI)

       DO 115 JDO40 = 1,NREF
       CALL LRREFL(MHKLIN,RSOL,ADATA,EOF)
       jh=ADATA(1)
       jk=ADATA(2)
       jl=ADATA(3)
       fp0=ADATA(4)
       sigfp0=ADATA(5)
       phb0=ADATA(LOOKUP(1))
       fom0=ADATA(LOOKUP(2))

      do 80 i=1,numb
      if(jh.ne.ih(i)) goto 80
      if(jk.ne.ik(i)) goto 80
      if(jl.eq.il(i)) goto 100
   80 continue
      numb=numb+1
      mb=numb
      ih(mb)=jh
      ik(mb)=jk
      il(mb)=jl
      fp(k,mb)=fp0
      sigfp(k,mb)=sigfp0
      phb(k,mb)=amod(phb0+360.0,360.0)
      fom(k,mb)=fom0
      goto 110
  100 fp(k,i)=fp0
      sigfp(k,i)=sigfp0
      phb(k,i)=amod(phb0+360.0,360.0)
      fom(k,i)=fom0
  110 n=n+1
  115  CONTINUE 
  120 write(6,*) 'set No, total = ',k,n
      call LRCLOS(MHKLIN)
  150 continue
      if(wsc.eq.0.0) wsc=1.0

      IAPPND = 0
      NLABOUT = 7
      HKLOUT=1
      CALL LWOPEN (HKLOUT, 'HKLOUT')
      CALL LWASSN(HKLOUT,LABOUT,NLABOUT,CTYPOUT,IAPPND)
  200 do 300 i=1,numb
      top=0.0
      bot=0.0
      sfp=0.0
      ssigfp=0.0
      afp=0.0
      asigfp=0.0
      cfom=0.0
      k=0
      do 220 j=1,2
      if(fp(j,i).eq.0.0.and.sigfp(j,i).eq.0.0.and.fom(j,i).eq.0.0.
     1 and.phb(j,i).eq.0.0) goto 220
      k=k+1
      sfp=sfp+fp(j,i)
      ssigfp=ssigfp+sigfp(j,i)
      top=top+fom(j,i)*sin(dtor*phb(j,i))
      bot=bot+fom(j,i)*cos(dtor*phb(j,i))
  220 continue
      phaz=rtod*atan2(top,bot)
      phaz=amod(phaz+360.0,360.0)
      if(k.eq.0) goto 240
      cfom=sqrt(top*top+bot*bot)/float(k)
      cfom=amin1(1.0,wsc*cfom)
      afp=sfp/float(k)
      asigfp=ssigfp/float(k)
	ADATAI(1)=ih(i)
	ADATAI(2)=ik(i)
	ADATAI(3)=il(i)
	ADATAI(4)=afp
	ADATAI(5)=asigfp
	ADATAI(6)=phaz
	ADATAI(7)=cfom
      CALL LWREFL(HKLOUT,ADATAI)

  240 continue
  300 continue

      call LWCLOS(HKLOUT)
      stop
      end
